#ifndef	_XMF_OLED1306_
#define	_XMF_OLED1306_

#include "ioCC2530.h"

/*===OLEDԴĴŸʽ===
[0]0 1 2 3 ...... 127	
[1]0 1 2 3 ...... 127	
[2]0 1 2 3 ...... 127	
[3]0 1 2 3 ...... 127	
[4]0 1 2 3 ...... 127	
[5]0 1 2 3 ...... 127	
[6]0 1 2 3 ...... 127	
[7]0 1 2 3 ...... 127 
==========================*/
#define OLED_CMD  0	  //д
#define OLED_DATA 1	  //д
#define OLED_MODE 0       //4ߴģʽ
/*========OLEDģʽ========
0:4ߴģʽ
1:8080ģʽ
============================*/

#define SIZE            16
#define XLevelL		0x02
#define XLevelH		0x10
#define Max_Column	128
#define Max_Row		64
#define	Brightness	0xFF 
#define X_WIDTH 	128
#define Y_WIDTH 	64	 

/*===========Ŷ˿ڶ壨ֲʱҪ޸ģ=============*/
//--------------------------ƬѡCSӵ
#define OLED_RST  P1_6    //λ
#define OLED_DC   P1_5    ///
#define OLED_SCK  P2_0    //ʱ
#define OLED_DD   P1_7    //
/*======================================================*/

void delay_oled(unsigned char time);
void OLED_Write_Byte(unsigned char dat, unsigned char cmd);
void OLED_Set_Pos(unsigned char x, unsigned char y);
unsigned int OLED_pow(unsigned char m, unsigned char n);

void OLED_Show_Char(unsigned char x, unsigned char y, unsigned char chr);
void OLED_Show_Str(unsigned char x, unsigned char y, unsigned char *chr);
void OLED_Show_Int(unsigned char x, unsigned char y, unsigned int num, unsigned char len, unsigned char size2);
void OLED_Show_CHN(unsigned char x, unsigned char y, unsigned char no);
void OLED_Draw_BMP(unsigned char x0, unsigned char y0,unsigned char x1, unsigned char y1);

void OLED_Clear();
void OLED_Init();
void OLED_Display_On();
void OLED_Display_Off();
void Init_OLED_Port();

#endif